export declare function isValidInput(data: unknown): boolean;
export interface NormalisedField {
    key: string;
    value: unknown;
    hasValue: boolean;
    type: "string" | "number" | "boolean" | "array" | "object" | "null" | "undefined" | "symbol";
}
export type NormalisedRow = NormalisedField[];
export interface UnknownObject {
    [key: string | number]: unknown;
}
export declare function normaliseInput(data: UnknownObject[]): NormalisedRow[];
export declare function getFields(rows: NormalisedRow[]): string[];
export declare function pickFields(rows: NormalisedRow[], pickFields: string[]): NormalisedRow[];
export declare function excludeFields(rows: NormalisedRow[], excludeFields: string[]): NormalisedRow[];
export declare function getPaginated(options: {
    rows: NormalisedRow[];
    page: number;
    perPage: number;
    withPlaceholders: boolean;
}): NormalisedRow[];
export type DataType = "string" | "number" | "boolean" | "symbol" | "undefined" | "object" | "null" | "array" | "object";
export declare function getTypeOf(value: unknown): DataType;
