import { NormalisedRow } from "./data.utils";
/**
 * Search for rows based on specified criteria.
 *
 * @param {Object} options - The search options.
 * @param {NormalisedRow[]} options.rows - The data to search.
 * @param {string} options.searchQuery - The search query string.
 * @param {boolean} options.useRegExp - Whether to use regular expressions for the search.
 * @param {boolean} options.matchCase - Whether to match the case.
 * @param {boolean} options.matchWord - Whether to match whole words.
 * @returns {NormalisedRow[]} - The matched data.
 */
export declare function search(options: {
    rows: NormalisedRow[];
    searchQuery: string;
    useRegExp: boolean;
    matchCase: boolean;
    matchWord: boolean;
}): NormalisedRow[];
